<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBackground"
    android:clickable="true"
    android:focusable="true"
    tools:context=".screen.result.ResultFragment">
    <View
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/app_background" />
    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/bottom_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="@fraction/guide_bottom" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:paddingBottom="68dp"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/top_guideline"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                app:layout_constraintGuide_begin="12dp" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/center_guideline"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.5" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/left_guideline"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="@fraction/guide_left" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/right_guideline"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="@fraction/guide_right" />
            <!--Table0-->
            <View
                android:id="@+id/tv_table0"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:background="@drawable/bg_table_header_line_bottom"
                android:padding="8dp"
                android:textAlignment="center"
                app:layout_constraintEnd_toStartOf="@+id/right_guideline"
                app:layout_constraintStart_toStartOf="@+id/left_guideline"
                app:layout_constraintTop_toBottomOf="@+id/top_guideline" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:adjustViewBounds="true"
                android:paddingTop="8dp"
                android:paddingBottom="8dp"
                android:scaleType="fitXY"
                android:src="@drawable/text_result_big_small"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table1"
                app:layout_constraintEnd_toEndOf="@+id/tv_table1"
                app:layout_constraintStart_toStartOf="@+id/tv_table1"
                app:layout_constraintTop_toTopOf="@+id/tv_table1" />

            <com.google.android.material.textview.MaterialTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/year"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table0"
                app:layout_constraintEnd_toEndOf="@+id/tv_table0"
                app:layout_constraintStart_toStartOf="@+id/tv_table0"
                app:layout_constraintTop_toTopOf="@+id/tv_table0" />

            <View
                android:id="@+id/bg_tb0"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="2dp"
                android:layout_marginEnd="2dp"
                android:background="@drawable/bg_recyclerview"
                app:layout_constraintBottom_toBottomOf="@id/v_space_tb0"
                app:layout_constraintEnd_toEndOf="@id/tv_table0"
                app:layout_constraintStart_toStartOf="@id/tv_table0"
                app:layout_constraintTop_toBottomOf="@id/tv_table0" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_tb0"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_recyclerview_transparent"
                android:clipToPadding="false"
                app:layout_constraintEnd_toEndOf="@id/tv_table0"
                app:layout_constraintStart_toStartOf="@id/tv_table0"
                app:layout_constraintTop_toBottomOf="@id/tv_table0" />

            <ProgressBar
                android:id="@+id/progress_tb0"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="@+id/rv_tb0"
                app:layout_constraintEnd_toEndOf="@+id/rv_tb0"
                app:layout_constraintStart_toStartOf="@+id/rv_tb0"
                app:layout_constraintTop_toTopOf="@+id/rv_tb0" />

            <View
                android:id="@+id/v_space_tb0"
                android:layout_width="match_parent"
                android:layout_height="8dp"
                app:layout_constraintEnd_toEndOf="@id/tv_table0"
                app:layout_constraintStart_toStartOf="@id/tv_table0"
                app:layout_constraintTop_toBottomOf="@id/rv_tb0" />
            <!--Table1-->
            <View
                android:id="@+id/tv_table1"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_table_header_line_bottom"
                android:padding="8dp"
                android:textAlignment="center"
                app:layout_constraintEnd_toStartOf="@+id/right_guideline"
                app:layout_constraintStart_toStartOf="@+id/left_guideline"
                app:layout_constraintTop_toBottomOf="@+id/bg_tb0" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:adjustViewBounds="true"
                android:paddingTop="8dp"
                android:paddingBottom="8dp"
                android:scaleType="fitXY"
                android:src="@drawable/text_result_big_small"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table1"
                app:layout_constraintEnd_toEndOf="@+id/tv_table1"
                app:layout_constraintStart_toStartOf="@+id/tv_table1"
                app:layout_constraintTop_toTopOf="@+id/tv_table1" />

            <com.google.android.material.textview.MaterialTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/small_big"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table1"
                app:layout_constraintEnd_toEndOf="@+id/tv_table1"
                app:layout_constraintStart_toStartOf="@+id/tv_table1"
                app:layout_constraintTop_toTopOf="@+id/tv_table1" />

            <View
                android:id="@+id/bg_tb1"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="2dp"
                android:layout_marginEnd="2dp"
                android:background="@drawable/bg_recyclerview"
                app:layout_constraintBottom_toBottomOf="@id/v_space_tb1"
                app:layout_constraintEnd_toEndOf="@id/tv_table1"
                app:layout_constraintStart_toStartOf="@id/tv_table1"
                app:layout_constraintTop_toBottomOf="@id/tv_table1" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_tb1"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_recyclerview_transparent"
                android:clipToPadding="false"
                app:layout_constraintEnd_toEndOf="@id/tv_table1"
                app:layout_constraintStart_toStartOf="@id/tv_table1"
                app:layout_constraintTop_toBottomOf="@id/tv_table1" />

            <ProgressBar
                android:id="@+id/progress_tb1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="@+id/rv_tb1"
                app:layout_constraintEnd_toEndOf="@+id/rv_tb1"
                app:layout_constraintStart_toStartOf="@+id/rv_tb1"
                app:layout_constraintTop_toTopOf="@+id/rv_tb1" />

            <View
                android:id="@+id/v_space_tb1"
                android:layout_width="match_parent"
                android:layout_height="8dp"
                app:layout_constraintEnd_toEndOf="@id/tv_table1"
                app:layout_constraintStart_toStartOf="@id/tv_table1"
                app:layout_constraintTop_toBottomOf="@id/rv_tb1" />
            <!--Table2-->
            <View
                android:id="@+id/tv_table2"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginStart="16dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="16dp"
                android:background="@drawable/bg_table_header_line_bottom"
                android:padding="8dp"
                android:textAlignment="center"
                app:layout_constraintEnd_toStartOf="@+id/right_guideline"
                app:layout_constraintStart_toStartOf="@+id/left_guideline"
                app:layout_constraintTop_toBottomOf="@+id/bg_tb1" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:adjustViewBounds="true"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:scaleType="fitXY"
                android:src="@drawable/text_history_range"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table2"
                app:layout_constraintEnd_toEndOf="@+id/tv_table2"
                app:layout_constraintStart_toStartOf="@+id/tv_table2"
                app:layout_constraintTop_toTopOf="@+id/tv_table2" />

            <com.google.android.material.textview.MaterialTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/range"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table2"
                app:layout_constraintEnd_toEndOf="@+id/tv_table2"
                app:layout_constraintStart_toStartOf="@+id/tv_table2"
                app:layout_constraintTop_toTopOf="@+id/tv_table2" />

            <View
                android:id="@+id/bg_tb2"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="2dp"
                android:layout_marginEnd="2dp"
                android:background="@drawable/bg_recyclerview"
                app:layout_constraintBottom_toBottomOf="@id/v_space_tb2"
                app:layout_constraintEnd_toEndOf="@id/tv_table2"
                app:layout_constraintStart_toStartOf="@id/tv_table2"
                app:layout_constraintTop_toBottomOf="@id/tv_table2" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_tb2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_recyclerview_transparent"
                android:clipToPadding="false"
                app:layout_constraintEnd_toEndOf="@id/tv_table2"
                app:layout_constraintStart_toStartOf="@id/tv_table2"
                app:layout_constraintTop_toBottomOf="@id/tv_table2" />

            <ProgressBar
                android:id="@+id/progress_tb2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="@+id/rv_tb2"
                app:layout_constraintEnd_toEndOf="@+id/rv_tb2"
                app:layout_constraintStart_toStartOf="@+id/rv_tb2"
                app:layout_constraintTop_toTopOf="@+id/rv_tb2" />

            <View
                android:id="@+id/v_space_tb2"
                android:layout_width="match_parent"
                android:layout_height="8dp"
                app:layout_constraintEnd_toEndOf="@id/tv_table2"
                app:layout_constraintStart_toStartOf="@id/tv_table2"
                app:layout_constraintTop_toBottomOf="@id/rv_tb2" />
            <!--Table3-->
            <View
                android:id="@+id/tv_table3"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginStart="16dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="16dp"
                android:background="@drawable/bg_table_header_line_bottom"
                android:padding="8dp"
                android:textAlignment="center"
                app:layout_constraintEnd_toStartOf="@+id/right_guideline"
                app:layout_constraintStart_toStartOf="@+id/left_guideline"
                app:layout_constraintTop_toBottomOf="@+id/bg_tb2" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:adjustViewBounds="true"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:scaleType="fitXY"
                android:src="@drawable/text_history_range"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table3"
                app:layout_constraintEnd_toEndOf="@+id/tv_table3"
                app:layout_constraintStart_toStartOf="@+id/tv_table3"
                app:layout_constraintTop_toTopOf="@+id/tv_table3" />

            <com.google.android.material.textview.MaterialTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/odd_even"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table3"
                app:layout_constraintEnd_toEndOf="@+id/tv_table3"
                app:layout_constraintStart_toStartOf="@+id/tv_table3"
                app:layout_constraintTop_toTopOf="@+id/tv_table3" />

            <View
                android:id="@+id/bg_tb3"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="2dp"
                android:layout_marginEnd="2dp"
                android:background="@drawable/bg_recyclerview"
                app:layout_constraintBottom_toBottomOf="@id/v_space_tb3"
                app:layout_constraintEnd_toEndOf="@id/tv_table3"
                app:layout_constraintStart_toStartOf="@id/tv_table3"
                app:layout_constraintTop_toBottomOf="@id/tv_table3" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_tb3"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_recyclerview_transparent"
                android:clipToPadding="false"
                app:layout_constraintEnd_toEndOf="@id/tv_table3"
                app:layout_constraintStart_toStartOf="@id/tv_table3"
                app:layout_constraintTop_toBottomOf="@id/tv_table3" />

            <ProgressBar
                android:id="@+id/progress_tb3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="@+id/rv_tb3"
                app:layout_constraintEnd_toEndOf="@+id/rv_tb3"
                app:layout_constraintStart_toStartOf="@+id/rv_tb3"
                app:layout_constraintTop_toTopOf="@+id/rv_tb3" />

            <View
                android:id="@+id/v_space_tb3"
                android:layout_width="match_parent"
                android:layout_height="8dp"
                app:layout_constraintEnd_toEndOf="@id/tv_table3"
                app:layout_constraintStart_toStartOf="@id/tv_table3"
                app:layout_constraintTop_toBottomOf="@id/rv_tb3" />
            <!--Table4-->
            <View
                android:id="@+id/tv_table4"
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginStart="16dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="16dp"
                android:background="@drawable/bg_table_header_line_bottom"
                android:padding="8dp"
                android:textAlignment="center"
                app:layout_constraintEnd_toStartOf="@+id/right_guideline"
                app:layout_constraintStart_toStartOf="@+id/left_guideline"
                app:layout_constraintTop_toBottomOf="@+id/bg_tb3" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:adjustViewBounds="true"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:scaleType="fitXY"
                android:src="@drawable/text_history_range"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table4"
                app:layout_constraintEnd_toEndOf="@+id/tv_table4"
                app:layout_constraintStart_toStartOf="@+id/tv_table4"
                app:layout_constraintTop_toTopOf="@+id/tv_table4" />

            <com.google.android.material.textview.MaterialTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/blue_red"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/tv_table4"
                app:layout_constraintEnd_toEndOf="@+id/tv_table4"
                app:layout_constraintStart_toStartOf="@+id/tv_table4"
                app:layout_constraintTop_toTopOf="@+id/tv_table4" />

            <View
                android:id="@+id/bg_tb4"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="2dp"
                android:layout_marginEnd="2dp"
                android:background="@drawable/bg_recyclerview"
                app:layout_constraintBottom_toBottomOf="@id/v_space_tb4"
                app:layout_constraintEnd_toEndOf="@id/tv_table4"
                app:layout_constraintStart_toStartOf="@id/tv_table4"
                app:layout_constraintTop_toBottomOf="@id/tv_table4" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_tb4"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_recyclerview_transparent"
                android:clipToPadding="false"
                app:layout_constraintEnd_toEndOf="@id/tv_table4"
                app:layout_constraintStart_toStartOf="@id/tv_table4"
                app:layout_constraintTop_toBottomOf="@id/tv_table4" />

            <ProgressBar
                android:id="@+id/progress_tb4"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="@+id/rv_tb4"
                app:layout_constraintEnd_toEndOf="@+id/rv_tb4"
                app:layout_constraintStart_toStartOf="@+id/rv_tb4"
                app:layout_constraintTop_toTopOf="@+id/rv_tb4" />

            <View
                android:id="@+id/v_space_tb4"
                android:layout_width="match_parent"
                android:layout_height="8dp"
                app:layout_constraintEnd_toEndOf="@id/tv_table4"
                app:layout_constraintStart_toStartOf="@id/tv_table4"
                app:layout_constraintTop_toBottomOf="@id/rv_tb4" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>
    <!--    Bottom Button-->
    <ImageView
        android:id="@+id/btn_close"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/ic_btn_close"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/bottom_guideline" />
</androidx.constraintlayout.widget.ConstraintLayout>